## golang-github-karlseguin-expect 1.0.1+git20160716.12.5c2eadb

=== Makefile ===
t:
	go test . -v

f:
	go fmt ./...

=== debian/changelog ===
golang-github-karlseguin-expect (1.0.1+git20160716.12.5c2eadb-2) unstable; urgency=medium

  * Team Upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Nilesh Patra ]
  * Initialize test to fix flag parsing issue (Closes: #952162)
  * Bump standards version to 4.5.0
  * Add "Rules-Requires-Root:no"
  * Fix control with cme
  * Drop compat, switch to debhelper-compat
  * Switch to https
  * Add upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 17 Mar 2020 16:41:00 +0530

golang-github-karlseguin-expect (1.0.1+git20160716.12.5c2eadb-1) unstable; urgency=medium

  * Initial release (Closes: #854636)

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Feb 2017 19:33:22 +1100

=== debian/control ===
Source: golang-github-karlseguin-expect
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-wsxiaoys-terminal-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-karlseguin-expect
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-karlseguin-expect.git
Homepage: https://github.com/karlseguin/expect
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/karlseguin/expect

Package: golang-github-karlseguin-expect-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-wsxiaoys-terminal-dev
Description: Testing framework for Go with more concise syntax
 Expect is a testing framework for Go to help write shorter
 tests. Go's built-in testing package is fine, except it tends to lead
 to verbose code. Expect runs within the go test framework but
 provides a different, concise syntax for specifying expectations.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-karlseguin-expect-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/karlseguin/expect/tags .*/v?(\d\S*)\.tar\.gz
